prj2make(prj2make 1.0)

NAME
prj2make - Makefile generator from Visual Studio and Sharp Develop solution files.

SYNOPSIS

prj2make options file

DESCRIPTIOn
The prj2make tool will produce Makefiles or NMakefiles from Visual Studio solution files (files ending in .sln or .csproj) or SharpDevelop combine files (files ending in .cmbx or .prjx).

This tool is commonly used to compile on Unix source code which has been originally developed with Visual Studio or SharpDevelop.

This tool can also be used to convert Visual Studio project files (.sln or .csproj) into Sharp Develop .prjx/.cmbx files, use the `-csproj2prjx' for this.

By default prj2make will produce Makefiles suitable to be consumed by Unix Make. If your application needs to target nmake, you can use the option `-isNmake'.

OPTIONS

-c , -isCsc
    Use csc instead of mcs on the generated files.

-csproj2prjx
    Runs in conversion mode, and turns a csproj/sln into a set of prjx/cmbx files.

-n , -isNmake
    Produce makefiles suitable to be used by Nmake.

MAILING LISTS
Visit http://lists.ximian.com/mailman/listinfo/mono-list for details.

WEB SITE
Visit: http://www.mono-project.com for details

SEE ALSO
mcs(1),mono(1),make(1),mono-config(5)